Version: 0.44.0
Release: 1%{?dist}
Name: lago-ovirt
Summary: Lago ovirt-system-tests plugin
BuildArch: noarch
Group: System Environment/Libraries
License: GPLv2+
URL: https://github.com/lago-project/lago-ost-plugin
Source0: https://resources.ovirt.org/repos/lago/0.0/src/%{name}/%{name}-%{version}.tar.gz
BuildRequires: python2-devel
Requires: lago >= 0.39
Requires: python-%{name} = %{version}
Provides: lago-ost-plugin

%description
A Lago plugin to create an oVirt testing environment


%prep
%setup -q -n %{name}-%{version}

%build
OVIRTLAGO_VERSION=%{version} %{py2_build}

%install
OVIRTLAGO_VERSION=%{version} %{py2_install}

install -d %{buildroot}/var/lib/lago/reposync
install -d -m 755 %{buildroot}%{_sysconfdir}/firewalld/services
install -p -D -m 644 etc/firewalld/services/* %{buildroot}%{_sysconfdir}/firewalld/services/


%files -n %{name}

###################### python-lago-ovirt package
%package -n python-%{name}
Summary: Library for ovirt specific facitilies
BuildArch: noarch
BuildRequires: python2-devel
Requires: python
Requires: python-lago >= 0.39
Requires: python-magic
Requires: python-nose
Requires: ovirt-engine-sdk-python >= 3.6.9.1-1
Requires: createrepo
Requires: repoman >= 2.0.12
Requires: yum-utils
Requires: rpm-build
Requires: xz
%{?python_provide:%python_provide python2-%{name}}
%{?python_provide:%python_provide python2-lago-ost-plugin}

%description -n python-%{name}

%files -n python-%{name}
%{python2_sitelib}/ovirtlago/*.py*
%{python2_sitelib}/ovirtlago/data/*.yaml
%{python2_sitelib}/lago_ovirt-%{version}-py*.egg-info

%config(noreplace) %{_sysconfdir}/firewalld/services/*
%dir %attr(2775, root, lago) /var/lib/lago/reposync/

%post -n python-%{name}
if firewall-cmd --state &>/dev/null; then
    # don't touch if ovirtlago service is already enabled
    if ! firewall-cmd --query-service=ovirtlago --zone=public -q; then
        firewall-cmd --reload -q
        firewall-cmd --permanent --zone=public --add-service=ovirtlago -q
        firewall-cmd --reload -q
    fi
fi


%preun  -n python-%{name}
if [[ "$1" == "0" ]]; then
    # "0" indicates uninstallation
    # "1" indicates upgrade - and then we do nothing
    if firewall-cmd --state &>/dev/null; then
        if firewall-cmd --query-service=ovirtlago --zone=public -q; then
            firewall-cmd --permanent --zone=public --remove-service=ovirtlago -q
            firewall-cmd --reload -q
        fi
    fi
fi

%changelog
* Wed Jan 24 2018 oVirt infra bot <infra-private@ovirt.org> - 0.44.0
    df6bc2a7: Merge pull request #32 from lago-project/IBRS
    8b93fbd6: Add several IBRS CPUs

* Tue Dec 12 2017 oVirt infra bot <infra-private@ovirt.org> - 0.43.2
    6d832059: Merge pull request #28 from lago-project/format_log_msg_reposync
    885f5f7f: reposync: Consolidate error messages

* Mon Oct 30 2017 oVirt infra bot <infra-private@ovirt.org> - 0.43.1
    ff94ca9f: Merge pull request #29 from
              lago-project/reposerver_narrow_error_handling
    4a560335: reposerver: Make error handling more precise

* Tue Aug 29 2017 ovirt-infra <infra-private@ovirt.org> - 0.43.0
    8111ca3f: Merge pull request #23 from nvgoldin/match_cluster_cpu
    9c56b249: lago ovirt start: Match cluster CPU compatibility
    620cf6fd: automation: install in pip package-by-package

* Mon Aug 28 2017 ovirt-infra <infra-private@ovirt.org> - 0.42.4
    efbc57d8: Merge pull request #21 from lago-project/delete_reposync_cache
    4ac2a15d: reposync: Use a unique temp dir for cache

* Thu Aug 10 2017 ovirt-infra <infra-private@ovirt.org> - 0.42.3
    fc1f82a2: Merge pull request #20 from mykaul/mykaul-testlib_py
    29bb4f1a: Update testlib.py
    474445af: Update testlib.py
    b8bb8068: Update testlib.py - add initial wait sleep

* Tue Aug 01 2017 ovirt-infra <infra-private@ovirt.org> - 0.42.2
    902a2c22: Merge pull request #19 from lago-project/fix_docs_2
    3de07cab: docs: Fix docs (part of 0005f90)

* Tue Aug 01 2017 ovirt-infra <infra-private@ovirt.org> - 0.42.1
    c0cee7da: Merge pull request #18 from lago-project/fix_docs
    0005f903: docs: Fix docs creation

* Sun Jul 23 2017 ovirt-infra <infra-private@ovirt.org> - 0.42.0
    04141b53: Merge pull request #16 from
              lago-project/spec_verify_that_firewalld_is_running
    783cfa6e: spec-file: Firewalld configuration

* Sun Jul 23 2017 ovirt-infra <infra-private@ovirt.org> - 0.41.1
    a9da4a83: Merge pull request #17 from
              lago-project/remove_duplicate_deps_from_mock
    e34169d4: Automation: Remove duplicate packages from mock *.packages

* Sun Jun 04 2017 ovirt-infra <infra-private@ovirt.org> - 0.41.0
    25d3c31a: Merge pull request #9 from nvgoldin/bump_lago039
    98c63551: automation: do not cache lago, always install latest
    6a932aea: spec: bump lago requires to v0.39

* Sun Jun 04 2017 ovirt-infra <infra-private@ovirt.org> - 0.40.1
    bf50c9e5: Merge pull request #10 from nvgoldin/fix_tox_docs
    609cb77e: docs: fix venv creation in tox

* Sun Jun 04 2017 ovirt-infra <infra-private@ovirt.org> - 0.40.0
    95422f03: Merge pull request #8 from nvgoldin/rremove_duplicate_ep
    549fc6f9: Remove duplicate entry-point

* Mon May 22 2017 ovirt-infra <infra-private@ovirt.org> - 0.39.3
    8ecf8066: Merge pull request #6 from nvgoldin/bring_back_ep_ovirt
    3b9a178d: packaging: add back oVirt CLI Entry point

* Tue May 09 2017 ovirt-infra <infra-private@ovirt.org> - 0.39.2
    4957fd00: Merge pull request #4 from nvgoldin/add_index
    6f547a62: docs: updated index.rst

* Tue May 09 2017 ovirt-infra <infra-private@ovirt.org> - 0.39.1
    914b7ca2: Merge pull request #3 from nvgoldin/split_ovirtlago
    62b31f25: Add ovirtlago docs

* Tue May 09 2017 Nadav Goldin <ngoldin@redhat.com> - 0.39.0
    a11f5898: Split from Lago repository

* Mon May 08 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.266
    1a8bdb21: automation: use tox to setup virtualenv

* Mon May 08 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.265
    45dd49b4: tests: fix flake8 error

* Mon May 08 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.264
    12148a47: cleanup: drop lago_template_repo

* Sun Apr 30 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.263
    4f4a7418: tests: add coverage.py report and export results XML

* Thu Apr 27 2017 gbenhaim <galbh2@gmail.com> - 0.0.262
    06a72210: Improve lago ovirt status

* Thu Apr 27 2017 gbenhaim <galbh2@gmail.com> - 0.0.261
    2523c254: Print informative message after "lago ovirt start"

* Thu Apr 27 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.260
    d9554a4c: ovirtlago: reconfigure timeouts in 'lago ovirt start'

* Wed Apr 19 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.259
    01ba255e: ovirtlago: assert ovirt-engine and vdsmd services are running

* Mon Apr 10 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.258
    d604a6ce: yapf: new version code formatting fixes

* Sun Apr 09 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.257
    95112ead: automation: bring back libguestfs debug mode

* Sat Apr 08 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.256
    06786a43: tests: don't pin yapf version

* Tue Apr 04 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.255
    cf7fc318: tests: add prefix and cpu tests to ovirt.runtest

* Mon Apr 03 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.254
    c2fa27b2: ovirtlago: Start all VMs in 'lago ovirt start'

* Mon Apr 03 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.253
    fbac6786: ovirtlago: add 'require_sdk(version)' decorator

* Mon Apr 03 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.252
    a71f47dd: ovirtlago: detect available SDKs from sys.modules

* Mon Apr 03 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.251
    c068ba00: ovirtlago: move OvirtPrefix from __init__.py to prefix.py

* Mon Apr 03 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.250
    5fd313f2: ovirtlago: import sdk4.types as otypes

* Sun Apr 02 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.249
    50d9ad61: ovirtlago: refactor get_ovirt_cpu_family method

* Sun Apr 02 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.248
    09f2a355: Unit tests for cpu.py

* Sun Apr 02 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.247
    0dd285a2: Move libvirt provider to a specific directory

* Sun Mar 26 2017 Daniel Belenky <dbelenky@redhat.com> - 0.0.246
    cc82bf75: modified junit reports naming to match the standard ci convention

* Mon Mar 20 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.245
    3c541839: ovirtlago: add 'ovirt start'/'ovirt stop'

* Mon Mar 20 2017 gbenhaim <galbh2@gmail.com> - 0.0.244
    536148a1: Revert "spec: require paramiko >= 1.16.1-2 on el7"

* Sun Mar 19 2017 gbenhaim <galbh2@gmail.com> - 0.0.243
    e08c5176: Adding lago shutdown

* Tue Feb 28 2017 Yaniv Kaul <ykaul@redhat.com> - 0.0.242
    371a7ebd: Add 'start-hosts', 'stop-hosts', 'stop-vms', 'status' to ovirt
              sub-command

* Sun Feb 26 2017 Ondřej Svoboda <osvoboda@redhat.com> - 0.0.241
    ae93ee0d: Use python2 explicitly.

* Sun Feb 26 2017 Yaniv Kaul <ykaul@redhat.com> - 0.0.240
    c454b408: Revert bfea3cc4d104381cd6e5a2ffd9d325843f5ac5f0 - stop on
              failures

* Sat Feb 25 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.239
    2f45ccc1: spec: require paramiko >= 1.16.1-2 on el7

* Wed Feb 22 2017 gbenhaim <galbh2@gmail.com> - 0.0.238
    90ea812f: Added the ability to export images from a prefix

* Mon Feb 20 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.237
    265ac3eb: automation: sort mock configurations

* Tue Feb 07 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.236
    26bef1ad: [docs] reposetup.merge sphinix formatting fix

* Tue Feb 07 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.235
    2a2fc5e2: spec: fix firewalld ovirtlago dropped on upgrade

* Tue Feb 07 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.234
    147a16d8: tests: enforce execution of functional tests with lago gid

* Tue Feb 07 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.233
    aa336071: automation: clean yum/dnf metadata

* Tue Feb 07 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.232
    2bf93feb: spec: require python2-paramiko >= 2.1.1 on fc>=24

* Sun Feb 05 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.231
    e9fb43cb: tests: change full VMs distros

* Sun Feb 05 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.230
    2c6167f0: tests: disable cirros workarounds for none-cirros vms

* Sun Feb 05 2017 gbenhaim <galbh2@gmail.com> - 0.0.229
    8e01849a: Enforce python2-crypto version on fc24/el7

* Wed Jan 25 2017 Yaniv Kaul <ykaul@redhat.com> - 0.0.228
    f2daa568: Remove the video device.

* Wed Jan 18 2017 Ondra Machacek <omachace@redhat.com> - 0.0.227
    c10af7b2: Add command to generate ansible hosts file

* Tue Jan 17 2017 gbenhaim <galbh2@gmail.com> - 0.0.226
    5a6fb14d: Revert "ovirtlago: allow passing custom repoman filters"

* Tue Jan 17 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.225
    115c8353: Revert "ovirtlago: drop get_ovirt_cpu_family"

* Mon Jan 16 2017 Rafael Martins <rmartins@redhat.com> - 0.0.224
    aaa25352: Force usage of qemu-kvm-rhev on centos/rhel

* Mon Jan 16 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.223
    1290db21: ovirtlago: allow passing custom repoman filters

* Mon Jan 16 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.222
    b947c552: ovirtlago: remove deprecated per-project repo directories

* Mon Jan 16 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.221
    e0386e1a: ovirtlago: don't download source RPMs by default

* Mon Jan 16 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.220
    e29f62a9: ovirtlago: allow defining custom repoman config file

* Mon Jan 16 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.219
    5b521665: ovirtlago: drop get_ovirt_cpu_family

* Mon Jan 09 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.218
    f28c1af0: ovirtlago: allow running reposync with custom_sources only

* Mon Jan 09 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.217
    f7b9f3c0: ovirtlago: drop ovirt.collect tests

* Mon Jan 09 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.216
    dd1f7f7c: ovirtlago: collect entire /var/log directory

* Sun Jan 08 2017 Nadav Goldin <ngoldin@redhat.com> - 0.0.215
    681c336a: workaround for cirros images not getting ip on boot

* Wed Jan 04 2017 Milan Zamazal <mzamazal@redhat.com> - 0.0.214
    bd339564: Add build dependency on python2-rpm-macros

* Wed Jan 04 2017 Milan Zamazal <mzamazal@redhat.com> - 0.0.213
    dddd42a1: More robust CPU selection

* Mon Dec 26 2016 Leon Goldberg <lgoldber@redhat.com> - 0.0.212
    8581b394: added test_equals* tests in order for testlib to include tests

* Mon Dec 26 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.211
    b48b5abf: ovirtlago: drop exception handling in test_sequence_gen

* Sun Dec 25 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.210
    d757a63a: Refactor collect command to use SCP

* Mon Dec 19 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.209
    f60e03f8: Fix oVirt APIv4 creation

* Sun Dec 18 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.208
    66ee774a: automation: configure KVM and libguestfs parameters

* Sun Dec 11 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.207
    a284cdeb: ovirtlago: log skipped tests to stdout

* Sun Dec 11 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.206
    d20bc155: ovirtlago: fix bug in capabilities

* Wed Dec 07 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.205
    7e2f038d: Fix reposync - use 'continue', not 'return'

* Tue Dec 06 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.204
    0e10f678: make reposync more verbose and fix bz 1399235

* Tue Nov 22 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.203
    5a9b83a6: Bump yapf version 0.7.1 -> 0.14.0

* Sat Nov 12 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.202
    3175726e: [ost-plugin] cleanup unused commands

* Wed Nov 09 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.201
    6d4cc059: Add 'generate-config' verb to functional tests list

* Sun Oct 30 2016 Pierre-Louis Bonicoli <pierre-louis@libregerbil.fr> - 0.0.200
    5efc4cc5: Follow PEP8

* Sun Oct 30 2016 Yedidyah Bar David <didi@redhat.com> - 0.0.199
    107ee2f9: Add vm-type ovirt-he-host

* Thu Oct 27 2016 Nadav Goldin <nvgoldin@users.noreply.github.com> - 0.0.198
    c3866e57: Merge branch 'master' into add_deps
    2f713473: Merge branch 'master' into packaging_python_pbr
    abbc7135: Update fedora>23 to use python2-pbr

* Thu Oct 27 2016 gbenhaim <galbh2@gmail.com> - 0.0.197
    51227600: Added pyxdg and configparser to requirements.txt

* Fri Oct 14 2016 Pierre-Louis Bonicoli <pierre-louis@libregerbil.fr> - 0.0.196
    681c2e9f: Install configuration files using RPM instead of pip packaging

* Mon Oct 10 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.195
    b786e1a0: Auto-generate lago.conf in RPM spec file

* Mon Oct 10 2016 Nadav Goldin <ngoldin@redhat.com> - 0.0.194
    2c18bcee: Load configurations from the CLI plugins

* Sun Oct 09 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.193
    5481eab2: Prep for oVirt v4 API

* Wed Oct 05 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.192
    9252bd3b: Continue testing on test failures.

* Thu Sep 29 2016 Eyal Edri <eedri@redhat.com> - 0.0.191
    e4b1ce72: Merge branch 'master' into docs
    0f209d45: Merge branch 'master' into get_prefixed_name
    a3661c9f: Moving over get_prefixed_name() to ovirtlago/testlib

* Thu Sep 29 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.190
    7ddcdac6: Moving over get_prefixed_name() to ovirtlago/testlib

* Tue Sep 27 2016 Pierre-Louis Bonicoli <pierre-louis@libregerbil.fr> - 0.0.189
    1073054a: Don't run flakes on .eggs directory

* Tue Sep 27 2016 Pierre-Louis Bonicoli <pierre-louis@libregerbil.fr> - 0.0.188
    0d516d93: Ask libvirt for path of kvm executable

* Mon Sep 26 2016 gbenhaim <galbh2@gmail.com> - 0.0.187
    8d3952f4: Added requirements.txt

* Tue Sep 20 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.186
    78b0656b: Add host CPU model detection

* Sun Sep 04 2016 gbenhaim <galbh2@gmail.com> - 0.0.185
    a58d6df2: Removed redundant checks when getting ovirt api

* Thu Sep 01 2016 gbenhaim <galbh2@gmail.com> - 0.0.184
    50aab255: Added flat output formatter

* Fri Aug 12 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 0.0.183
    3e47d069: reposetup: be more verbose on reposync failure

* Mon Jul 18 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.182
    07388470: Added /var/log/sanlock.log to the log collection from hosts

* Tue Jun 28 2016 David Caro <david@dcaro.es> - 0.0.181
    87e6977d: ci:Replaced fc22 package files with fc24

* Thu Jun 16 2016 gbenhaim <galbh2@gmail.com> - 0.0.180
    ad579688: Fixed a bug where script manager stuck on an

* Mon May 30 2016 David Caro <dcaroest@redhat.com> - 0.0.179
    914c1601: Added possibility to specify ssh-user and ssh-pass on initfile

* Mon May 30 2016 David Caro <dcaroest@redhat.com> - 0.0.178
    667bf3f9: Use the spec distro if any

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.177
    f9466873: Yapf fixes

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.176
    6a8afedc: reposetup:Don't break on empty sources, just warn

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.175
    fd67147b: Added --custom-source option to reposetup

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.174
    a28f0590: Use only-missing to avoid overriding custom rpms

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.173
    d9596962: Use lago run_command

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.172
    565ae6e4: Yapf fixes

* Fri May 27 2016 David Caro <dcaroest@redhat.com> - 0.0.171
    14d89ce8: Using repoman to merge the reposync downloaded repos

* Thu May 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.170
    70bfcda8: Merge pull request #266 from lago-project/fix_typo
    bb4150dc: Fix typo on warning message

* Thu May 26 2016 David Caro <dcaroest@redhat.com> - 0.0.169
    9639fee4: func:Added extra syncs to make sure the disk is written

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.168
    2a5ad6eb: Properly override the vm-type on ovirt* hosts

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.167
    4e680817: Allow running the testrun command from anywhere

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.166
    20063b66: Making virtenv class overridable

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.165
    e80e30b3: Fix type in warning message

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.164
    f2e716d4: Ordering imports and add missing file headers

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.163
    60832265: ovirtlago: use the vm-provider if it's there

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.162
    c80e4dcb: Added the SSHVMProvider

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.161
    eb497540: Added VMProvider plugin

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.160
    fc4b0648: Moved the services to service provider plugins

* Tue May 24 2016 David Caro <dcaroest@redhat.com> - 0.0.159
    5b6b18f2: Show yapf version being used for the checks

* Mon May 23 2016 Martin Polednik <mpolednik@redhat.com> - 0.0.158
    102be92a: Add tags and cscope.out to gitignore

* Thu May 19 2016 David Caro <dcaroest@redhat.com> - 0.0.157
    fdf2dece: Pinning down the version of yapf used

* Mon May 16 2016 David Caro <dcaroest@redhat.com> - 0.0.156
    d71bc1a0: Using main lago run_command

* Fri May 13 2016 David Caro <dcaroest@redhat.com> - 0.0.155
    ceb8f0dc: Just sleep in the busy loop

* Fri May 13 2016 David Caro <dcaroest@redhat.com> - 0.0.154
    aba83eb9: Refactored the ovirtlago.utils module

* Thu May 12 2016 David Caro <dcaroest@redhat.com> - 0.0.153
    f2707718: Removed the repo verification code

* Thu May 12 2016 David Caro <dcaroest@redhat.com> - 0.0.152
    a7bdd4c0: Generating the docs changelog on conf.py

* Wed May 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.151
    5e96231b: Merge pull request #243 from lago-project/more_reposync_fixes
    a8ce6dbd: Yet another small fix to better detect reposync issues

* Wed May 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.150
    8ef9a1b7: Merge pull request #242 from lago-project/add_changelog_to_docs
    65f0af7b: Add changelog to the docs

* Wed May 11 2016 David Caro <dcaroest@redhat.com> - 0.0.149
    7b4eb1b7: Reformat everything to new yapf version

* Sat May 07 2016 David Caro <dcaroest@redhat.com> - 0.0.148
    c80a2366: Yapf fixes

* Sat May 07 2016 David Caro <dcaroest@redhat.com> - 0.0.147
    c1288a81: Added workaround for reposync

* Wed May 04 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.146
    5f2a97df: Merge pull request #231 from lago-project/fix_el7_dirlock
    e9318c1b: Use lago.utils.LockFile instead of lockfile's one
    3a12c4f7: Moved some code out of a with block
    42ce0508: Removed thread pool on reposync

* Tue May 03 2016 David Caro <dcaroest@redhat.com> - 0.0.145
    e927a20d: Added extra ignores to .gitignore

* Fri Apr 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.144
    fdcc902c: Merge pull request #227 from lago-project/fix_unhandled_exception
    ce14c68a: Fixed wrong error log on reposetup

* Fri Apr 29 2016 David Caro <dcaroest@redhat.com> - 0.0.143
    348d7bb7: Added new deps for the tests

* Fri Apr 29 2016 David Caro <dcaroest@redhat.com> - 0.0.142
    4720f245: Fixed repoverify not behaving like reposync

* Fri Apr 22 2016 David Caro <dcaroest@redhat.com> - 0.0.141
    6f9e70a5: Reposync first retry with clean caches

* Thu Apr 21 2016 David Caro <dcaroest@redhat.com> - 0.0.140
    00140747: Yapf fixes

* Thu Apr 21 2016 David Caro <dcaroest@redhat.com> - 0.0.139
    2d4e22aa: ovirtlago.repoverify:Refactored

* Thu Apr 21 2016 David Caro <dcaroest@redhat.com> - 0.0.138
    8bdcb304: ovirtlago:Removed unused code

* Thu Apr 21 2016 David Caro <dcaroest@redhat.com> - 0.0.137
    6e417875: Showing warning on reposync error

* Thu Apr 21 2016 David Caro <dcaroest@redhat.com> - 0.0.136
    3b5c88ba: func_tests_basic:Skipping the bootstrap where able

* Tue Apr 12 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.135
    687df9ef: Simplified merge repos

* Tue Apr 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.134
    6e1b2dcd: Merge pull request #207 from lago-project/fail_on_empty_repo
    35184182: reposync:Failing on existing but empty repo

* Tue Apr 05 2016 David Caro <dcaroest@redhat.com> - 0.0.133
    b3fa353a: test.deploy:Using smaller, local cirros image

* Tue Apr 05 2016 David Caro <dcaroest@redhat.com> - 0.0.132
    dd037a8c: Adapted functional tests

* Tue Apr 05 2016 David Caro <dcaroest@redhat.com> - 0.0.131
    19647042: Added check for the new deploy verb

* Tue Apr 05 2016 David Caro <dcaroest@redhat.com> - 0.0.130
    45656417: Added cli verb 'deploy' to lago

* Tue Apr 05 2016 David Caro <dcaroest@redhat.com> - 0.0.129
    012f7ede: ovirtlago:Using lago.prefix.Prefix.deploy

* Tue Mar 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.128
    69313150: Merge pull request #192 from lago-project/fix_changelog_format
    abb0288c: Fixed changelog ugly formatting

* Wed Mar 23 2016 David Caro <dcaroest@redhat.com> - 0.0.127
    91f1c181: ci:Added some missing packages

* Wed Mar 23 2016 David Caro <dcaroest@redhat.com> - 0.0.126
    11bcd0be: ovirtlago:Breaking if any of the test fails

* Wed Mar 23 2016 David Caro <dcaroest@redhat.com> - 0.0.125
    7a83dfa0: ovirtlago:Added extra logging

* Wed Mar 23 2016 David Caro <dcaroest@redhat.com> - 0.0.124
    4835df45: ovirtlago:not waiting if engine is not yet responsive

* Wed Mar 23 2016 David Caro <dcaroest@redhat.com> - 0.0.123
    28e3879e: ovirtlago:Added a wait for the engine to go up

* Wed Mar 23 2016 David Caro <dcaroest@redhat.com> - 0.0.122
    669c5744: testlib:Added possibility to allow exceptions

* Mon Mar 21 2016 Nir Soffer <nsoffer@redhat.com> - 0.0.121
    679f1c8f: ovirtlago: Improve logging when activating sds

* Mon Mar 21 2016 Nir Soffer <nsoffer@redhat.com> - 0.0.120
    8b526297: testlib: Log exceptions in assert_true_within

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.119
    3ec7f84e: functional:Fixed ovirt.collect prefix init check

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.118
    e02f0b7b: Added collect basic test

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.117
    6fad2357: Not appending the messages log on >fc22 hosts

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.116
    d91e2707: Added collect functional tests

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.115
    4f5c3640: Added lago collect cli subcommand

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.114
    6723df92: Moved collect_artifacts to lago.prefix.Prefix

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.113
    2f725577: Moved collect_artifacts to lago.virt.VM

* Thu Mar 17 2016 David Caro <dcaroest@redhat.com> - 0.0.112
    7ee5e7ab: ovirt:Using inherited artifacts for collection

* Wed Mar 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.111
    374bdf3d: Merge pull request #183 from
              lago-project/fix_hosts_stuck_on_ssh_connectivity
    c1e3866d: Added some collect functional tests

* Wed Mar 16 2016 David Caro <dcaroest@redhat.com> - 0.0.110
    0650af00: setup.get_version:specify custom project path

* Tue Mar 15 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.109
    5eeafe17: Merge pull request #181 from mykaul/collect_var_log_messages
    69d0bc10: Collect /var/log/messages from hosts. Useful at times.

* Thu Mar 10 2016 David Caro <dcaroest@redhat.com> - 0.0.108
    99fba1ee: pgk:Removed mock references

* Thu Mar 10 2016 David Caro <dcaroest@redhat.com> - 0.0.107
    48edaa46: docs:Moved README to rst

* Wed Mar 09 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.106
    94d5eb8b: Merge pull request #157 from lago-project/add_workdir
    5b18a1fc: Fixed el7 python lib issues
    553d0618: Added multi-prefixed workdir
    eb6c1a5d: Moved to plugin structure
    8fde43da: Added workdir unit tests
    f972069e: tests:Fixed the prefix path resolution
    3e8ea72c: ovirtlago:Added deprecated options
    87ae21f9: Added OvirtWorkdir class
    5bb7c00a: Added the new cli plugins
    948ed588: Adapted functional tests to new workdir concept
    9787c553: functional:adapted the warnings test

* Wed Mar 09 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.105
    4f8ba246: Ignore zero sized RPM files when merging repos.

* Mon Mar 07 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.104
    19a2a420: Merge pull request #158 from mykaul/gitignore_authors
    a7097287: Add AUTHORS to 'make clean' command

* Mon Mar 07 2016 David Caro <dcaroest@redhat.com> - 0.0.103
    aca3d3c8: Added ignore-warnings option

* Wed Mar 02 2016 David Caro <dcaroest@redhat.com> - 0.0.102
    77df0b1b: Add the functional fixtures to the flake8 exclude

* Wed Mar 02 2016 David Caro <dcaroest@redhat.com> - 0.0.101
    baf508f8: Added ovirt.runtest functional tests

* Wed Mar 02 2016 David Caro <dcaroest@redhat.com> - 0.0.100
    e69486f9: Added ovirt.collect functional tests

* Wed Mar 02 2016 David Caro <dcaroest@redhat.com> - 0.0.99
    ba43f76a: Added ovirt.deploy functional tests

* Wed Mar 02 2016 David Caro <dcaroest@redhat.com> - 0.0.98
    0b8e158f: Added snopshot functional tests

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.97
    5fba04b7: Added common.diff_output

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.96
    230de305: Using the new ovirt_common lib

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.95
    05804a41: Added ovirt_common lib

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.94
    72ff28c4: Added run_ok and run_nook helpers

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.93
    2633706a: Added common lib

* Tue Mar 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.92
    4af6b3d1: Merge pull request #152 from lago-project/add_perfix_option
    1484df70: Added --prefix-path option to the lago command

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.91
    b6ce0d7f: Added yaml support for the init conf file

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.90
    ab6d79e2: Moved most files to python-lago rpm

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.89
    3c6baaa8: Reorganized the spec file

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.88
    6429fdfa: Remove unneeded changelog macro in specfile

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.87
    109092d9: Fixed firewalld command error on install

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.86
    290e9996: Removed unneeded make target

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.85
    298329e2: Moving to pbr for python building

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.84
    2ac1f3c2: Fix pip cache dir permissions

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.83
    248c1d86: Removed some old code from the Makefile and spec

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.82
    224bd9b7: Allow python setup * commands to work

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.81
    e9e0243b: Moved some confs to setup.cfg

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.80
    8f413c2b: Removed old files, and moved the ones left to etc

* Tue Mar 01 2016 David Caro <dcaroest@redhat.com> - 0.0.79
    3f4bc837: Moved python packages to root dir

* Mon Feb 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.78
    75c4aa64: Merge pull request #144 from lago-project/destroy_command
    d75965cc: Added the destroy command

* Sun Feb 28 2016 Yaniv Kaul <ykaul@redhat.com> - 0.0.77
    80a0b5d5: Add 'rpmbuild' and 'lago.egg-info' to .gitignore

* Fri Feb 26 2016 David Caro <dcaroest@redhat.com> - 0.0.76
    58d1aa5a: Adding all the fast functional tests to check-patch

* Fri Feb 26 2016 David Caro <dcaroest@redhat.com> - 0.0.75
    04ac365d: Add output plugins registries and deps

* Tue Feb 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.74
    26fe2c69: Merge pull request #130 from lago-project/flakes_ignore_rpmbuild
    877e0948: Don't run flakes on rpmbuild/dist dirs

* Mon Feb 22 2016 David Caro <dcaroest@redhat.com> - 0.0.73
    64976770: Fixed bridge tests when running without tty

* Fri Feb 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.72
    5f55195e: Merge pull request #24 from david-caro/add_devel_docs
    f0ded46e: ci: generate report if no code changed

* Thu Feb 18 2016 David Caro <dcaroest@redhat.com> - 0.0.71
    d1267e19: Moving to py.test

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.70
    1966b0f2: Added fc22 build support

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.69
    763f1c87: Fixed packaging on el7 too

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.68
    65150c20: Generating the changelog for the spec file too

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.67
    b683161c: Simplified the flake8 tests run

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.66
    cd34cb64: Pep8 fixes

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.65
    e8f883d2: Changing also the check-merged to check deps

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.64
    147a60dd: Added missing requires

* Tue Feb 16 2016 David Caro <dcaroest@redhat.com> - 0.0.63
    877ff9f5: Properly testing all the dependencies

* Wed Feb 10 2016 David Caro <dcaroest@redhat.com> - 0.0.62
    d97d7754: Moved the TaskLogNosePlugin to ovirt

* Fri Feb 05 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.0.61
    75d930e8: Merge pull request #86 from lago-project/complete_basic_tests
    2d0f0f41: Added shell basic tests
    22aafcd1: Added basic copy-to-vm tests

* Wed Feb 03 2016 David Caro <dcaroest@redhat.com> - 0.0.60
    123360ed: Added console cli command

* Wed Feb 03 2016 David Caro <dcaroest@redhat.com> - 0.0.59
    b2e1fdd0: Moving from sftp to scp for copy to/from vms

* Wed Feb 03 2016 David Caro <dcaroest@redhat.com> - 0.0.58
    697ab26a: Fix changed file detection

* Fri Jan 29 2016 David Caro <dcaroest@redhat.com> - 0.0.57
    acfe3167: Fixed prefix cleanup on init failure

* Fri Jan 29 2016 David Caro <dcaroest@redhat.com> - 0.0.56
    95f4224c: Fixed the version generation

* Fri Jan 29 2016 David Caro <dcaroest@redhat.com> - 0.0.55
    17d5d834: Moved the lago subcommands to cli plugins

* Mon Jan 25 2016 David Caro <dcaroest@redhat.com> - 0.0.54
    8a9a93d8: Checking the last commit on the checkstyle

* Mon Jan 25 2016 David Caro <dcaroest@redhat.com> - 0.0.53
    1e702142: Fixed yapf check when no files changed

* Sat Jan 23 2016 David Caro <dcaroest@redhat.com> - 0.0.52
    b6671620: Added lago cli command

* Fri Jan 22 2016 David Caro <dcaroest@redhat.com> - 0.0.51
    657a7e91: Added yapf style

* Thu Jan 21 2016 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.0.50
    535eda78: Add python_provide macros to spec

* Thu Jan 21 2016 Tolik Litovsky <tlitovsk@redhat.com> - 0.0.49
    fcf86cd3: Adding option to upload ova files to the lago env

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.0.48
    99f0a180: Removed unnecessary macros from spec

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.0.47
    cf6153c8: Added CLIPlugin abstract class and entry points

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.0.46
    5dbca99c: Added nice colored logging to lago
    FIXED BUGS: BZ#1277674

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.0.45
    ad6e1193: packaging:Added version manager script

* Fri Dec 18 2015 David Caro <dcaroest@redhat.com> - 0.0.44
    f3a911be: Added html report generation

* Wed Dec 16 2015 David Caro <dcaroest@redhat.com> - 0.0.43
    1148eb5c: Added compressed images support to the url handler
    FIXED BUGS: BZ#1284838

* Thu Dec 03 2015 David Caro <dcaroest@redhat.com> - 0.0.42
    267940ba: Adding simple changelog to the dist tarball

* Thu Dec 03 2015 David Caro <dcaroest@redhat.com> - 0.0.41
    5a18229c: pkg:Fixed wrong release version string

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.0.40
    e59ea310: docs:Documented the subnet_lease module

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.0.39
    88dae3b9: docs:Allowing google style docstrings

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.0.38
    551b41ec: automation: added docs handling

* Tue Nov 17 2015 David Caro <dcaroest@redhat.com> - 0.0.37
    418cf7dc: Added sudo dependency
    FIXED BUGS: BZ#1279054

* Thu Nov 12 2015 David Caro <dcaroest@redhat.com> - 0.0.36
    726b1002: Remove unmaintained files and lago-ovirt-extras package
    FIXED BUGS: BZ#1277649

* Mon Nov 09 2015 David Caro <dcaroest@redhat.com> - 0.0.35
    6085b30a: Sorting and removing dupes form the .packages

* Mon Nov 09 2015 David Caro <dcaroest@redhat.com> - 0.0.34
    f6119e62: Fixed the running of the tests on fc23

* Wed Nov 04 2015 David Caro <dcaroest@redhat.com> - 0.0.33
    e6605c2c: Updated the README and example script

* Mon Nov 02 2015 David Caro <dcaroest@redhat.com> - 0.0.32
    7f9cebba: Added the 3.5 tests

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.0.31
    1dbb79e0: Adding guid bit to the lib dirs

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.0.30
    e4afb49a: Refreshed the repos

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.0.29
    1fbadecd: Adding the store configs

* Thu Oct 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 0.0.28
    69a33670: packaging: spec: fix rpmlint issues

* Thu Sep 10 2015 David Caro <dcaroest@redhat.com> - 0.0.27
    15bf0c48: Moving to setuptools

* Mon Aug 31 2015 David Caro <dcaroest@redhat.com> - 0.0.26
    8823295e: Add functional tests

* Wed Aug 26 2015 Max Kovgan <mvk@redhat.com> - 0.0.25
    97dd0b30: rename testenv to lago totally

* Mon Aug 24 2015 David Caro <dcaroest@redhat.com> - 0.0.24
    fbbf7318: Reorganizing for standard-ci

* Tue Aug 18 2015 Max Kovgan <mvk@redhat.com> - 0.0.23
    c8ba9ebe: reduce some code dups

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.22
    e2a4ecf3: Add ioprocess building

* Tue Jul 28 2015 David Caro <dcaroest@redhat.com> - 0.0.21
    bdc825e3: Quoting some dangerous vars on build-artifacts

* Thu Jul 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.20
    353d3fb9: Add automation build script

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.19
    9bf8c484: Remove unused files

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.18
    cc4ea8b0: Update README files

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.17
    39d0cac2: Add test for engine-setup step

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.16
    e9f60df2: Add output override to makefile rpm and dist targets

* Wed Jun 03 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.0.15
    579afa07: Adding the container scenario to setup of rpms

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.14
    62ca7c6e: Fix PEP8 for setup.py

* Mon May 11 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.0.13
    29007fe2: Adding setup script of container based node

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.12
    d4582c6b: Refresh the README slightly

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.11
    9a35d32c: Fix makefile spec target

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.10
    2c29608c: Clean old rpms when uploading new ones

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.9
    45a8865c: Add repo building targets to makefile

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.8
    e3dfe509: Add BZ#1195882 workaround for libvirt

* Sat May 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.7
    f7627396: Add flake8 source check to build process

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.6
    825c351c: Add repo management utility

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.5
    4afb7acb: Add option to store templates inside configurable testenv path

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.4
    99c817e0: Add pre-configured default paths to installation

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.3
    7d521cee: Introduce configuration files

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.2
    3987829c: Add 3.5 answer file for EL6

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.1
    bfd3dda2: Initial squash from bit-bucket repo

